%global commit0 8473c299bc193f44c520c930a72618999ae5bb17
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Summary: Command line multimedia player based on gstreamer
Name: gst123
Version: 0.3.3
Release: 1%{?dist}
License: LGPLv2
URL: http://space.twc.de/~stefan/gst123.php
Source0: http://space.twc.de/cgi-bin/gitweb.cgi?p=gst123.git;a=snapshot;h=%{commit0};sf=tgz#/%{name}-%{shortcommit0}.tgz

BuildRequires:  gcc-c++ make
BuildRequires: autoconf automake
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: ncurses-devel

%description
The program gst123 is designed to be a more flexible command line player 
in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file 
formats gstreamer understands, so if you have a music collection which 
contains different file formats, you can use gst123 to play all your 
music files.

%prep
%autosetup -n %{name}-%{shortcommit0}
./autogen.sh

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/gst123
%{_mandir}/man1/gst123.1.gz

%changelog
* Wed Sep 18 2024 jiang ling yu <1353859743@qq.com> - 0.3.3-1
- other
- initial build
